=== debian/changelog ===
spades (3.10.1+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with GCC 7.
    Closes: #853666
  * Update homepage.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 10 Aug 2017 16:39:50 +0200

spades (3.10.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 16:31:57 +0000

spades (3.10.1+dfsg-1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version 3.10.1+dfsg

  [ Sascha Steinbiss ]
  * Build for experimental.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 21 Apr 2017 17:54:15 +0000
