## spades 3.11.1%2Bdfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,11 @@
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SPADES_TOOLS_BINARY_DIR})
 set(EXT_DIR "${CMAKE_SOURCE_DIR}/../ext")
 set(SPADES_CFG_DIR "${CMAKE_SOURCE_DIR}/../configs")
+
+# Uncomment for gprof profiling
+#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
+#SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
+#SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pg")
 
 # Everything option-dependent
 include(options)
