=== src/common/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,13 @@
 add_subdirectory(assembly_graph)
 add_subdirectory(modules/path_extend)
 add_subdirectory(modules)
+add_subdirectory(paired_info)
 add_subdirectory(stages)
 add_subdirectory(utils)
 add_subdirectory(io)
-add_subdirectory(utils/mph_index)
-add_subdirectory(utils/coverage_model)
+add_subdirectory(utils/kmer_mph)
+add_subdirectory(modules/coverage_model)
 
 add_library(common_modules STATIC empty.cpp)
 
-target_link_libraries(common_modules assembly_graph input pipeline coverage_model path_extend stages utils mph_index modules)
+target_link_libraries(common_modules assembly_graph input pipeline coverage_model paired_info path_extend stages utils mph_index modules)
