=== src/common/utils/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 project(utils CXX)
 
 set(utils_src
-    copy_file.cpp
-    path_helper.cpp
+        filesystem/copy_file.cpp
+        filesystem/path_helper.cpp
     logger/logger_impl.cpp)
 
 if (READLINE_FOUND)
