=== src/projects/ionhammer/CMakeLists.txt ===
--- 
+++ 
@@ -11,16 +11,30 @@
 
 add_executable(ionhammer
                kmer_data.cpp
-               hamcluster.cpp
                subcluster.cpp
                err_helper_table.cpp
                config_struct.cpp
-               expander.cpp
+               kmer_helpers.cpp
                seqeval/BaseHypothesisEvaluator.cpp
                seqeval/TreephaserLite.cpp
-               main.cpp)
+               main.cpp
+               reference.cpp
+               quality_metrics.cpp
+               quality_thresholds_estimator.cpp
+               hamcluster_1.cpp
+               gamma_poisson_model.cpp
+               normal_quality_model.cpp)
+
+add_executable(kmer_evaluator
+               kmer_data.cpp
+               kmer_evaluator.cpp
+               kmer_helpers.cpp
+               err_helper_table.cpp)
+
+
 
 target_link_libraries(ionhammer input utils pipeline mph_index BamTools ${COMMON_LIBRARIES})
+target_link_libraries(kmer_evaluator input  utils mph_index  BamTools ${COMMON_LIBRARIES})
 
 if (SPADES_STATIC_BUILD)
   set_target_properties(ionhammer PROPERTIES LINK_SEARCH_END_STATIC 1)
@@ -28,6 +42,8 @@
 
 install(TARGETS ionhammer
         RUNTIME DESTINATION bin)
+#install(TARGETS kmer_evaluator
+#        RUNTIME DESTINATION bin)
 install(DIRECTORY "${SPADES_CFG_DIR}/ionhammer"
         DESTINATION share/spades/configs
                 FILES_MATCHING PATTERN "*.cfg")
