=== debian/changelog ===
spades (3.11.1+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * New upstream release.
  * Bump Standards-Version.
  * Remove obsolete Testsuite: entry in d/control
  * Add d/copyright entry for new included BBHash headers.

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Dec 2017 00:29:26 +0000
