=== debian/control ===
--- 
+++ 
@@ -26,8 +26,7 @@
                bwa,
                libbwa-dev,
                lynx
-Standards-Version: 4.0.0
-Testsuite: autopkgtest
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spades.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/spades.git
 Homepage: http://cab.spbu.ru/software/spades/
