=== debian/tests/control ===
Tests: run-upstreams-tests 
Depends: @
Restrictions: allow-stderr
