=== debian/watch ===
version=3
opts="downloadurlmangle=s{release([\d.]+)/}{release${1}/SPAdes-${1}.tar.gz},filenamemangle=s{release([\d.]+)/}{SPAdes-${1}.tar.gz},repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://spades.bioinf.spbau.ru/ release([\d.]+)/
