## spades 3.12.0+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -130,6 +130,9 @@
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../manual.html"
         DESTINATION share/spades
         COMPONENT runtime)
+install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../manual.md"
+        DESTINATION share/spades
+        COMPONENT runtime)
 install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../dipspades_manual.html"
         DESTINATION share/spades
         COMPONENT runtime)
