=== ext/src/edlib/CMakeLists.txt ===
############################################################################
# Copyright (c) 2017 Saint Petersburg State University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(edlib CXX)


# Create libraries.
add_library(edlib STATIC edlib.cpp)
