=== debian/changelog ===
spades (3.12.0+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 15 Oct 2018 16:56:55 +0200

spades (3.12.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #897867
  * Fix watch file
  * Add dh-python

  [ Alexandre Mestiashvili ]
  * Add tmp link for tests for spades-bwa
  * Update override_dh_auto_test: implement a workaround so dh_auto_test
    can access data files
  * Add bwa to d/tests/control
  * Remove *.pyc files
  * Add patch 0118_adjust_spades_home_again.patch
    replacing 0113_adjust_paths.patch
  * Update d/patches/spelling
  * Remove duplicated docs from /usr/share/spades
  * Bump Policy to 4.2.1, add myself to uploaders
  * Use https for copyright Format field, s/MIT/Expat/
  * Rename overridden tag to debian-watch-does-not-check-gpg-signature

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 10 Sep 2018 19:37:49 +0000

spades (3.11.1+dfsg-2) unstable; urgency=medium

  * Build-Depends: libnlopt-cxx-dev
    Closes: #902592
  * d/rules:
     + filter nocheck,$(DEB_BUILD_OPTIONS)
     + do not parse d/changelog
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jul 2018 10:54:09 +0200
