=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: spades
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Andreas Tille <tille@debian.org>,
-	Afif Elghraoui <afif@debian.org>,
-	Sascha Steinbiss <satta@debian.org>,
-        Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Sascha Steinbiss <satta@debian.org>,
+           Michael R. Crusoe <michael.crusoe@gmail.com>,
+           Alexandre Mestiashvili <mestia@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
                cmake,
                python-all-dev,
                zlib1g-dev,
@@ -19,6 +19,7 @@
                libhat-trie-dev,
                libhts-dev,
                libnlopt-dev,
+               libnlopt-cxx-dev,
                libssw-dev,
                python-yaml,
                python-joblib,
@@ -26,9 +27,9 @@
                bwa,
                libbwa-dev,
                lynx
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/spades.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/spades.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/spades
+Vcs-Git: https://salsa.debian.org/med-team/spades.git
 Homepage: http://cab.spbu.ru/software/spades/
 
 Package: spades
