=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+include /usr/share/dpkg/default.mk
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
-DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 TMPDIR     := $(CURDIR)/install_spades
-LIBDIR     := debian/$(DEBPKGNAME)/usr/lib/spades
+LIBDIR     := debian/$(DEB_SOURCE)/usr/lib/spades
 mandir     := $(CURDIR)/debian/man
 debfolder  := $(CURDIR)/debian
 
@@ -52,6 +53,11 @@
 	dh_installman --
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# Ugly hack to make files available for dh_aut_test and autopkgtest
+	mkdir -p $(CURDIR)/../share/
+	ln -s $(CURDIR)/install_spades/share/spades $(CURDIR)/../share/
+	ln -s  /usr/bin/bwa $(CURDIR)/install_spades/bin/spades-bwa
 	$(TMPDIR)/bin/spades.py --test
 	$(TMPDIR)/bin/dipspades.py --test
 	$(TMPDIR)/bin/metaspades.py --test
@@ -60,22 +66,30 @@
 	# is still not in the right place. Let's do this later in an
 	# autopkgtest.
 	# $(TMPDIR)/bin/truspades.py --test
+	# Cleunup symlinks
+	rm -rf $(CURDIR)/../share/
+	unlink $(CURDIR)/install_spades/bin/spades-bwa
+endif
 
 override_dh_auto_install:
 	echo "Nothing to install"
+	find $(CURDIR) -name *.pyc -delete
 
 override_dh_install:
 	dh_install
 	mkdir -p $(LIBDIR)
-	mv debian/$(DEBPKGNAME)/usr/bin $(LIBDIR)
-	mkdir -p debian/$(DEBPKGNAME)/usr/bin
-	install debian/bin/spades debian/$(DEBPKGNAME)/usr/bin/
-	chmod +x debian/$(DEBPKGNAME)/usr/bin/spades
-	rm -f debian/$(DEBPKGNAME)/usr/share/spades/GPLv2.txt
-	rm -f debian/$(DEBPKGNAME)/usr/share/spades/LICENSE
+	mv debian/$(DEB_SOURCE)/usr/bin $(LIBDIR)
+	mkdir -p debian/$(DEB_SOURCE)/usr/bin
+	install debian/bin/spades debian/$(DEB_SOURCE)/usr/bin/
+	chmod +x debian/$(DEB_SOURCE)/usr/bin/spades
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/GPLv2.txt
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/LICENSE
+	ln -s ../../../share/spades/VERSION debian/$(DEB_SOURCE)/usr/lib/spades/bin/VERSION
 
 override_dh_installdocs:
 	dh_installdocs
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/*.html
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/manual.md
 
 override_dh_installchangelogs:
 	LANG="C" LANGUAGE="en_US:en" LC_ALL=C.UTF-8 lynx -dump changelog.html > changelog
