=== debian/tests/control ===
Tests: run-upstreams-tests
Depends: @,bwa
Restrictions: allow-stderr
