=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://cab.spbu.ru/software/spades/ .*/release.*/SPAdes-(\d[\d.]+)@ARCHIVE_EXT@
