## spades 3.13.0+dfsg

=== debian/changelog ===
spades (3.13.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upstream has removed dipspades

 -- Andreas Tille <tille@debian.org>  Tue, 16 Oct 2018 22:08:43 +0200
