=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	ln -s $(CURDIR)/install_spades/share/spades $(CURDIR)/../share/
 	ln -s  /usr/bin/bwa $(CURDIR)/install_spades/bin/spades-bwa
 	$(TMPDIR)/bin/spades.py --test
-	$(TMPDIR)/bin/dipspades.py --test
 	$(TMPDIR)/bin/metaspades.py --test
 	$(TMPDIR)/bin/rnaspades.py --test
 	# Difficult to test truSPAdes before installing because bwa-spades
