## spades 3.13.0+dfsg2

=== ext/src/gqf/CMakeLists.txt ===
############################################################################
# Copyright (c) 2017 Saint Petersburg State University
# All Rights Reserved
# See file LICENSE for details.
############################################################################

project(gqf C)

add_library(gqf STATIC gqf.c)
