=== src/common/stages/CMakeLists.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 add_library(stages STATIC
             construction.cpp simplification.cpp)
-
+target_link_libraries(stages gqf)
