=== debian/changelog ===
spades (3.13.0+dfsg2-2) unstable; urgency=medium

  * Also remove jemalloc from (build-)depends.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 10:12:47 -0800

spades (3.13.0+dfsg2-1) unstable; urgency=medium

  * Restore the bundled jemalloc as Debian's package is too new.
  * Pull releases from GitHib.
  * Standards-Version: 4.3.0 (no changes needed)
  * Install README.md to /usr/share/doc/spades/

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 17 Jan 2019 07:54:34 -0800
