=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libboost-dev,
                libbam-dev,
                libbamtools-dev,
-               libjemalloc-dev,
                libhat-trie-dev,
                libhts-dev,
                libnlopt-dev,
@@ -27,7 +26,7 @@
                bwa,
                libbwa-dev,
                lynx
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/spades
 Vcs-Git: https://salsa.debian.org/med-team/spades.git
 Homepage: http://cab.spbu.ru/software/spades/
@@ -42,7 +41,6 @@
          bwa,
          bamtools,
          samtools,
-         libjemalloc1,
          libnlopt0,
          libhat-trie0,
          libssw0
