=== debian/rules ===
--- 
+++ 
@@ -82,8 +82,10 @@
 	install debian/bin/spades debian/$(DEB_SOURCE)/usr/bin/
 	chmod +x debian/$(DEB_SOURCE)/usr/bin/spades
 	rm -f debian/$(DEB_SOURCE)/usr/share/spades/GPLv2.txt
+	rm -f debian/$(DEB_SOURCE)/usr/share/spades/README.md
 	rm -f debian/$(DEB_SOURCE)/usr/share/spades/LICENSE
 	ln -s ../../../share/spades/VERSION debian/$(DEB_SOURCE)/usr/lib/spades/bin/VERSION
+
 
 override_dh_installdocs:
 	dh_installdocs
