=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/ablab/spades/releases/ .*/download/.*/SPAdes-(\d[\d.]+)@ARCHIVE_EXT@
