=== debian/changelog ===
spades (3.13.1+dfsg-2) unstable; urgency=medium

  * Depends: python3-distutils

 -- Andreas Tille <tille@debian.org>  Fri, 22 Nov 2019 10:48:44 +0100

spades (3.13.1+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * Moved packaging to Python3
    Closes: #938521
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Repository.
  * Make sure Python3 interpreter is used in scripts
  * Specify yaml loader
  * Drop webvis dir from source which has compressed JS but its not used
    in the binary package

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 15:34:43 +0100
